Skip to main content
POST
/
api
/
v1
/
automations
/
{id}
/
experiments
Create automation experiment
curl --request POST \
  --url https://studio.eigenpal.com/api/v1/automations/{id}/experiments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "examples": [
    "<string>"
  ],
  "batchConcurrency": 4503599627370495,
  "sourceRef": "<string>"
}
'
{
  "id": "<string>",
  "runs": [
    {
      "id": "<string>",
      "exampleId": "<string>"
    }
  ],
  "total": 0
}

Authorizations

Authorization
string
header
required

API key issued from Settings → API Keys. Pass as Authorization: Bearer <key>.

Path Parameters

id
string
required

Body

application/json
examples
string[]
batchConcurrency
integer | null
Required range: 0 < x <= 9007199254740991
sourceRef
string

Response

Experiment accepted

id
string
required
runs
object[]
required
total
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991